API and developers

Delete option value

del/v1/products/{product_id}/options/{option_id}/values/{value_id}

Remove a value from a product option.

Example

curl -X DELETE "https://api.ya.onl/v1/products/{product_id}/options/{option_id}/values/{value_id}" \
  -H "X-API-Key: yv_live_v1_…"

Parameters

product_idintegerpathrequired

Product identifier

option_idintegerpathrequired

Option identifier

value_idintegerpathrequired

Option value identifier

Responses

204
Successful Response
401
Invalid or missing API key
403
API key lacks the products:write scope
404
Option value not found
422
Validation Error
429
Rate limit exceeded
Need help?